Bug 983778 - Review Request: erlang-jsx - A streaming, evented json parsing toolkit
Review Request: erlang-jsx - A streaming, evented json parsing toolkit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 20:14 EDT by gil cattaneo
Modified: 2013-08-10 15:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: erlang-jsx-1.4.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-10 15:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-07-11 20:14:04 EDT
Spec URL: http://gil.fedorapeople.org/erlang-jsx.spec
SRPM URL: http://gil.fedorapeople.org/erlang-jsx-1.4.2-1.fc19.src.rpm
Description: 
An erlang application for consuming, producing and
manipulating json. inspired by yajl.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5596835
Comment 1 Peter Lemenkov 2013-07-21 07:54:29 EDT
I'll review it.
Comment 2 Peter Lemenkov 2013-08-01 08:08:07 EDT
Sorry for leaving you alone here. I'm finally back and here is my 

REVIEW:

* First of all please add "%global debug_package %{nil}" to the top of the package. This is a typical Erlang shortcoming - an arch-independent data is installed into arch-dependent directory, so you can't mark it as noarch but must disable bogus debuginfo subpackage generation. We (me with my fellow colleague from SUSE community) are working on it.

* Second - please manually specify a list of Requires. It still can't be calculated automatically so you have to trust me here (we're working on an automatic dependency calculation):

Requires:       erlang-erts%{?_isa} >= R14B
Requires:       erlang-stdlib%{?_isa}

* You may drop "BuildRequires:  erlang-eunit" - it's one of the erlang-rebar explicit requirements (and will be in the future).


Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent but all its messages are either failse positives or can be ignored safely:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-jsx-1.4.2-1.fc20.ppc.rpm ../SRPMS/erlang-jsx-1.4.2-1.fc20.src.rpm 
erlang-jsx.ppc: W: spelling-error Summary(en_US) evented -> evened, vented, e vented
erlang-jsx.ppc: W: spelling-error Summary(en_US) json -> son, j son
erlang-jsx.ppc: W: spelling-error %description -l en_US json -> son, j son
erlang-jsx.ppc: W: spelling-error %description -l en_US yajl -> yawl

^^^ False positives.

erlang-jsx.ppc: E: no-binary
erlang-jsx.ppc: W: only-non-binary-in-usr-lib

^^^ that's normal for Erlang-related packages (as I explained above due to known shortcomings we have to install noarch data into arch-dependent directory).

erlang-jsx.src: W: spelling-error Summary(en_US) evented -> evened, vented, e vented
erlang-jsx.src: W: spelling-error Summary(en_US) json -> son, j son
erlang-jsx.src: W: spelling-error %description -l en_US json -> son, j son
erlang-jsx.src: W: spelling-error %description -l en_US yajl -> yawl

^^^ False positives.

erlang-jsx.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 10)

^^^ Cosmetic.

2 packages and 0 specfiles checked; 1 errors, 10 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT license, as stated in the sources).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum v1.4.2.tar.gz*
a7a1c32c7445d9f7515ef35cafb471c13cbd2f0abd61a0596c7ef4bee0583d56  v1.4.2.tar.gz
a7a1c32c7445d9f7515ef35cafb471c13cbd2f0abd61a0596c7ef4bee0583d56  v1.4.2.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 


+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.


Please fix issues I noted above and I'll finish this review.
Comment 3 gil cattaneo 2013-08-01 09:49:59 EDT
Spec URL: http://gil.fedorapeople.org/erlang-jsx.spec
SRPM URL: http://gil.fedorapeople.org/erlang-jsx-1.4.2-2.fc19.src.rpm

- add debug_package nil
- fix requires list
- drop erlang-eunit
Comment 4 Peter Lemenkov 2013-08-01 09:54:10 EDT
(In reply to gil cattaneo from comment #3)
> Spec URL: http://gil.fedorapeople.org/erlang-jsx.spec
> SRPM URL: http://gil.fedorapeople.org/erlang-jsx-1.4.2-2.fc19.src.rpm
> 
> - add debug_package nil
> - fix requires list
> - drop erlang-eunit

Good. I dont see any other issues so this package is


APPROVED.

gil, could you please add me to InitialCC list (my fas name is "peter")
Comment 5 gil cattaneo 2013-08-01 10:01:46 EDT
Sure, Thanks!

New Package SCM Request
=======================
Package Name: erlang-jsx
Short Description: A streaming, evented json parsing toolkit
Owners: gil peter
Branches: f19
InitialCC: peter
Comment 6 Gwyn Ciesla 2013-08-01 12:01:34 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-08-01 13:22:31 EDT
erlang-jsx-1.4.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/erlang-jsx-1.4.2-2.fc19
Comment 8 Fedora Update System 2013-08-02 18:06:46 EDT
erlang-jsx-1.4.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-08-10 15:58:44 EDT
erlang-jsx-1.4.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.